/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.remoting.transport.socket;

/**
 * SocketUtil is a set of socket-based utilities
 *
 * @author <a href="mailto:jhaynie@vocalocity.net">Jeff Haynie</a>
 * @version $Revision: 1.1.4.2 $
 */
public class SocketUtil
{
    public static byte [] pad (int len, int total)
    {
        StringBuffer buf=new StringBuffer();
        String value = String.valueOf(len);
        int c = value.length();
        while(c<total)
        {
            buf.append("0");
            c++;
        }
        buf.append(len);
        return buf.toString().getBytes();
    }
    public static int len (byte buf[])
    {
        String len = new String(buf);
        if (len.trim().length()<=0) return 0;
        return Integer.parseInt(len);
    }
}
